-- THIS FINDS ALL THE PULSARS WITH DECLINATION BETWEEN 0 AND -1 DEGREES
-- THE DECJ_DEGREE VALUE IS 0, BUT THIS INDICATES A VALUE BETWEEN 0 AND +1.
-- NEED TO STORE THE POSITIONS AS DECIMAL DEGREES (BOTH RA AND DEC)
select pulsar_name,filename,data_type,decj_degree,decj_minute,decj_second 
from OLDobservations 
where  abs(decj_degree)<1 
	and (decj_minute>0 or decj_second>0) 
	and pulsar_name like "%-%";

-- THIS TESTS A WAY TO PRINT THE CORRECT DECLINATION
select pulsar_name,filename,data_type,decj_degree,decj_minute,decj_second,
        (raj_hour+raj_minute/60.+raj_second/3600.)*15 as raj,
        case when pulsar_name like "%-%" then -1.*(abs(decj_degree)+decj_minute/60.+decj_second/3600.)
             else abs(decj_degree)+decj_minute/60.+decj_second/3600. end as decj
from OLDobservations 
where  abs(decj_degree)<1 
	and (decj_minute>0 or decj_second>0) 
order by raj
;

