-- if the table exists, drop it so we can reload it
DROP TABLE IF EXISTS observations;

-- create the table with the following fields
CREATE TABLE observations (
        file_id INT UNSIGNED AUTO_INCREMENT,
	filename VARCHAR(32),
	src_name VARCHAR(16),
	project_id VARCHAR(10),
	raj VARCHAR(20),
	decj VARCHAR(20),
 	data_type VARCHAR(128),
        obsfreq DECIMAL(16,6),
	bw DECIMAL(16,6),
	scanlen DECIMAL(32,10),
 	date VARCHAR(16),   
 	ut VARCHAR(16),   
 	MJD DECIMAL(32,14),
	rajd DOUBLE,
	decjd DOUBLE,
	gl DOUBLE,
	gb DOUBLE,
	bmaj FLOAT,
	bmin FLOAT,
	bpa FLOAT,
	dm DECIMAL(16,6),
	period DECIMAL(32,24),
 	nchan INT(6),        
	npol INT(6),
 	nbin INT(6),        
 	nsub INT(6),        
 	tsamp FLOAT,       
	nbits tinyint(3) unsigned,  
	nbeam tinyint(3) unsigned,
	cnfg VARCHAR(128),
 	inst VARCHAR(32),
 	rcvr VARCHAR(16),   
	hdrver VARCHAR(10),
	survey VARCHAR(10),
	telescope VARCHAR(16),
 	site VARCHAR(8),    
 	obsrvr VARCHAR(32),   
	data_loc VARCHAR(100),
 	file_size_bytes INT(32),
	PRIMARY KEY (file_id)
--	PRIMARY KEY (filename, data_loc)
)
;


-- if the table exists, drop it so we can reload it
DROP TABLE IF EXISTS cals;

-- create the table with the following fields
CREATE TABLE cals (
        file_id INT UNSIGNED AUTO_INCREMENT,
	filename VARCHAR(32),
	src_name VARCHAR(16),
	project_id VARCHAR(10),
	raj VARCHAR(20),
	decj VARCHAR(20),
 	data_type VARCHAR(128),
        obsfreq DECIMAL(16,6),
	bw DECIMAL(16,6),
	scanlen DECIMAL(32,10),
 	date VARCHAR(16),   
 	ut VARCHAR(16),   
 	MJD DECIMAL(32,14),
	rajd DOUBLE,
	decjd DOUBLE,
	gl DOUBLE,
	gb DOUBLE,
	bmaj FLOAT,
	bmin FLOAT,
	bpa FLOAT,
	dm DECIMAL(16,6),
	period DECIMAL(32,14),
 	nchan INT(6),        
	npol INT(6),
 	nbin INT(6),        
 	nsub INT(6),        
 	tsamp FLOAT,       
	nbits tinyint(3) unsigned,  
	nbeam tinyint(3) unsigned,
	cnfg VARCHAR(128),
 	inst VARCHAR(32),
 	rcvr VARCHAR(16),   
	hdrver VARCHAR(10),
	survey VARCHAR(10),
	telescope VARCHAR(16),
 	site VARCHAR(8),    
 	obsrvr VARCHAR(32),   
	data_loc VARCHAR(100),
 	file_size_bytes INT(32),
	PRIMARY KEY (file_id)
--	PRIMARY KEY (filename, data_loc)
)
;